#pragma once

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{
	class Joint;
}}}}

namespace Mix{ namespace Tool{ namespace Dynamics{

	public ref class Joint abstract
	{
	public:
		virtual ~Joint( void ) {}

		property bool CollisionDisabled
		{
			virtual bool get( void ) abstract;
			virtual void set( bool value ) abstract;
		}

	internal:
		property Mix::Tool::Win32::Dynamics::Joint* Impl
		{
			virtual Mix::Tool::Win32::Dynamics::Joint* get( void ) abstract;
		}
	};

}}}
